local t = Def.ActorFrame{
	LoadActor( THEME:GetPathB("ScreenWithMenuElements","background/_nexus") )..{
		InitCommand=cmd(x,SCREEN_CENTER_X+128;y,SCREEN_CENTER_Y;diffusealpha,0;blend,'BlendMode_Add');
		OnCommand=cmd(spin;effectmagnitude,0,0,-5;sleep,3;accelerate,0.2;diffusealpha,0.125;glow,color("1,1,1,0.375");hibernate,0.1;decelerate,1;glow,color("1,1,1,0"););
	};

	LoadActor( THEME:GetPathB("_NCRX","logo/_X") )..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
		OnCommand=cmd(diffusealpha,0;sleep,3;accelerate,0.2;diffusealpha,1;glow,color("1,1,1,1");hibernate,0.1;decelerate,1;glow,color("1,1,1,0");sleep,0.2;playcommand,"After");
		AfterCommand=cmd(glowshift;effectcolor1,color("1,1,1,0.2");effectcolor2,color("1,1,1,0.5");effectperiod,8);
		OffCommand=cmd(hurrytweening,2;);
	};

	--[[
	-- i never got the timing on this right, and it doesn't help
	-- that the X is using weird positioning...
	LoadActor( THEME:GetPathB("_NCRX","logo/_X") )..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0;blend,'BlendMode_Add');
		OnCommand=cmd(sleep,3.5;linear,0.5;diffusealpha,0.5;zoom,3.5;decelerate,0.2;addx,-320;diffusealpha,0);
	};
	]]

	LoadActor( THEME:GetPathB("_NCRX","logo/_ncr grayscale") )..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
		OnCommand=cmd(cropright,1;faderight,1;cropleft,1;fadeleft,1;linear,2.5;cropright,0;faderight,0;hibernate,0.75;cropleft,0;fadeleft,0;sleep,0.1;diffusealpha,0);
		OffCommand=cmd(hurrytweening,2;);
	};

	LoadActor( THEME:GetPathB("_NCRX","logo/_ncr normal") )..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0);
		OnCommand=cmd(sleep,2.6;linear,0.75;diffusealpha,1);
		OffCommand=cmd(hurrytweening,2;);
	};

	--[[
	LoadActor( THEME:GetPathB("press","start") )..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+128);
		OnCommand=cmd(diffuseramp;effectcolor1,color("1,1,1,1");effectcolor1,color("1,1,1,0");effectperiod,2);
	};
	]]
};

return t;