return Def.ActorFrame {
	Def.Actor{
		Name="GroupMesageController_Exp";
		SetMessageCommand=function(self,params)
			if params.HasFocus and not params.Song then
				focusIdx = params.Index
				local displayText = params.SongGroup;
				local sectionCount = self:GetParent():GetParent():GetChild("SectionCount");
				local songs = 0;
				if sectionCount then
					songs = sectionCount:GetText();
				end;

				MESSAGEMAN:Broadcast("SectionText", { Text = displayText, Count = tonumber(songs) });
			end;
		end;
	};

	-- background
	Def.Quad{
		InitCommand=cmd(x,28;zoomto,WideScale(360*0.75,SCREEN_CENTER_X*0.75),34;diffuse,color("0.25,0.25,0.25,0.95");fadeleft,0.05;faderight,0.25;);
	};

	-- section count frame
	Def.Quad{
		InitCommand=cmd(x,154;horizalign,right;blend,Blend.Add;shadowlength,1;zoomto,44,22;diffuse,color("1,1,1,0.25");fadebottom,0.5;);
	};

	-- bottom line
	Def.Quad{
		InitCommand=cmd(x,28;y,18;zoomto,WideScale(360*0.75,SCREEN_CENTER_X*0.75),2;diffuse,color("1,1,1,0.5"););
	};
};