local sName = Var "GameCommand":GetName();

local t = Def.ActorFrame{
	--LoadActor( THEME:GetPathG("_shared","elements/RoundedCornerBox"), SCREEN_CENTER_X*0.475, 96, color("0.4,0.4,0.4,0.475") )..{
	LoadActor(THEME:GetPathG("_shared","elements/_generic item bg"))..{
		InitCommand=cmd(basezoomx,1.15);
		GainFocusCommand=cmd(bouncebegin,0.25;zoom,1;diffuse,color("1,1,1,1"));
		LoseFocusCommand=cmd(stoptweening;bouncebegin,0.25;zoom,0.75;diffuse,color("0.7,0.7,0.7,0.75"));
		OffUnfocusedCommand=cmd(bouncebegin,0.5;zoom,0);
	};
	-- temporary:
	Font("mentone","24px")..{
		Name="ExtraLabel-"..sName;
		Text=sName;
		InitCommand=cmd(y,8);
		OnCommand=cmd(strokecolor,color("0,0,0,0.525");shadowlength,1;shadowcolor,color("0,0,0,0.55"));
		EnabledCommand=cmd(diffuse,color("1,1,1,1"));
		DisabledCommand=cmd(diffuse,color("0.5,0.5,0.5,0.75"));
		GainFocusCommand=cmd(bouncebegin,0.25;zoom,1;diffusealpha,1);
		LoseFocusCommand=cmd(stoptweening;bouncebegin,0.25;zoom,0.75;diffusealpha,0.75);
		OffUnfocusedCommand=cmd(bouncebegin,0.5;zoom,0);
	};
};

if sName == "Challenge" then
	t[#t+1] = Def.ActorFrame{
		InitCommand=cmd(y,2);
		GainFocusCommand=cmd(bouncebegin,0.25;zoom,1;);
		LoseFocusCommand=cmd(stoptweening;bouncebegin,0.25;zoom,0.75;);
		--[[
		LoadActor("_challenge frame")..{
			InitCommand=cmd(diffusealpha,0.8);
		};
		LoadActor("_challenge glass")..{
			InitCommand=cmd(diffusealpha,0.75;);
			GainFocusCommand=cmd(diffuseshift;effectcolor1,color("1,1,1,1");effectcolor2,color("1,1,1,0.75"));
			LoseFocusCommand=cmd(stopeffect);
		};
		--]]
	};
end;

-- explanation of the mode in question
t[#t+1] = Font("mentone","24px")..{
	Name="StyleExtra-"..sName;
	Text=THEME:GetString(Var "LoadingScreen", "Explain"..sName);
	InitCommand=cmd(y,24;zoom,0.3825;shadowlength,0;);
	OnCommand=cmd(strokecolor,color("0,0,0,0.525"));
	GainFocusCommand=cmd(bouncebegin,0.25;zoom,0.3825;y,30;diffusealpha,1);
	LoseFocusCommand=cmd(stoptweening;bouncebegin,0.25;zoom,0.25;y,24;diffusealpha,0.75);
};

-- we only need one of these dirty tricks
if sName == "Single" then
	t[#t+1] = Def.Actor{
		CodeMessageCommand=function(self,param)
			if param.Name == "NetOptions" then
				SCREENMAN:SetNewScreen("ScreenNetworkOptions2");
			end;
		end;
	};
end;

return t;