-- code by vyhd
function GetRandomGenre()
	local cursong = GAMESTATE:GetCurrentSong()
	if not cursong then return "" end

	-- lol hi kyle
	if string.find(cursong:GetDisplayArtist(), "ZiGZaG") then return "K-Groove" end

	-- lol hi dax
	if string.find(cursong:GetDisplayArtist(), "Dax") then return "Alternative Crapcore" end

	-- randomseed seems to truncate float values, but we need more randomness.
	-- move the number over a few digits to compensate.
	local length = cursong:MusicLengthSeconds()*10000
	math.randomseed( length )

	-- if this is a patched OGG, then set this genre instead
	if length == 1050000 then return "Crunchy H4X" end

	--Vary the amount of words returned
	local wordval = math.random(1,6)

	-- 1/6 chance of one-word genre
	if wordval == 1 then return Genre.Main[math.random(#Genre.Main)] end

	-- 1/6 chance of three-word genre
	if wordval == 6 then
		return Genre.Desc2[math.random(#Genre.Desc2)] .. " " .. Genre.Desc1[math.random(#Genre.Desc1)]
		.. " " .. Genre.Main[math.random(#Genre.Main)]
	end

	-- fall-through case: return two words
	return Genre.Desc1[math.random(#Genre.Desc1)] .. " " .. Genre.Main[math.random(#Genre.Main)]
end