local t = Def.ActorFrame{
	--[[
	Def.ActorFrame{
		Name="LeftArrow";
		InitCommand=cmd(x,-SCREEN_CENTER_X*0.095;diffusealpha,0);
		PreviousSongMessageCommand=function(self)
			self:runcommandsonleaves( cmd(stoptweening;diffusealpha,1;decelerate,0.5;diffusealpha,0;) );
		end;
		Def.Quad{
			InitCommand=cmd(x,-64*0.945;zoomto,12,24;zwrite,true;blend,'BlendMode_NoEffect');
		};
		Def.Quad{
			InitCommand=cmd(x,-64;zoomto,14,14;rotationz,45;diffuseupperright,color("1,1,1,0");ztest,true);
		};
	};
	Def.ActorFrame{
		Name="RightArrow";
		InitCommand=cmd(x,SCREEN_CENTER_X*0.575;diffusealpha,0);
		NextSongMessageCommand=function(self)
			self:runcommandsonleaves( cmd(stoptweening;diffusealpha,1;decelerate,0.5;diffusealpha,0;) );
		end;
		Def.Quad{
			InitCommand=cmd(x,-64*1.05;zoomto,12,24;zwrite,true;blend,'BlendMode_NoEffect');
		};
		Def.Quad{
			InitCommand=cmd(x,-64;zoomto,14,14;rotationz,45;diffuselowerleft,color("1,1,1,0");ztest,true);
		};
	};
	--]]
	LoadActor("_arrow")..{
		Name="LeftArrow";
		InitCommand=cmd(x,(-SCREEN_CENTER_X*0.095)-70;diffusealpha,0;zoomx,-1;shadowlength,0;shadowcolor,color("#00000066"));
		PreviousSongMessageCommand=cmd(stoptweening;diffusealpha,1;sleep,0.1;decelerate,0.5;diffusealpha,0;);
	};
	LoadActor("_arrow")..{
		Name="RightArrow";
		InitCommand=cmd(x,(SCREEN_CENTER_X*0.575)-58;diffusealpha,0;shadowlength,0;shadowcolor,color("#00000066"));
		NextSongMessageCommand=cmd(stoptweening;diffusealpha,1;sleep,0.1;decelerate,0.5;diffusealpha,0;);
	};
};
return t;