local t = Def.ActorFrame{
	Name="BannerArea";
	LoadActor("_banner frame")..{
		OffCommand=cmd(linear,0.5;rotationx,35;diffusealpha,0);
	};
	-- todo: replace with naket banner?
	Def.ActorProxy {
		Name="BannerProxy";
		BeginCommand=function(self)
			local banner = SCREENMAN:GetTopScreen():GetChild('Banner');
			banner:scaletoclipped(256,80);
			self:SetTarget(banner);
		end;
		OffCommand=cmd(linear,1;rotationx,65;zoomy,0);
	};

	LoadActor("SongInfo")..{
		InitCommand=cmd(y,SCREEN_CENTER_Y*0.275);
		OffCommand=cmd(accelerate,1;x,SCREEN_CENTER_X-(WideScale(SCREEN_WIDTH*0.225,SCREEN_WIDTH*0.264583));y,SCREEN_CENTER_Y-(SCREEN_CENTER_Y*0.3875));
	};
	LoadActor("BPMDisplay")..{
		InitCommand=cmd(y,SCREEN_CENTER_Y*0.525);
		OffCommand=cmd(runcommandsonleaves,cmd(linear,0.2;diffusealpha,0));
	};

	Font("mentone","24px")..{
		--x,SCREEN_CENTER_X*0.8125;y,SCREEN_CENTER_Y*0.99;
		Name="CurrentSort";
		InitCommand=cmd(x,SCREEN_CENTER_X*0.33;y,SCREEN_CENTER_Y*0.605;horizalign,right;vertalign,bottom;NoStroke;zoomx,0.5;zoomy,0.45;diffusealpha,0;shadowlength,1);
		OnCommand=cmd(linear,0.35;diffusealpha,1);
		OffCommand=cmd(linear,0.35;diffusealpha,0);
		UpdateCommand=function(self)
			local so = GAMESTATE:GetSortOrder();
			if so ~= nil then
				self:settext( SortOrderToLocalizedString(so) );
			end;
			-- survival hack, not like we support it or anything though
			if so == "SortOrder_Oni" and GAMESTATE:PlayerIsUsingModifier(GAMESTATE:GetMasterPlayerNumber(),"lifetime") then
				self:settext( "Survival" );
			end;
		end;
		SortOrderChangedMessageCommand=cmd(playcommand,'Update');
	};
};

return t;