local bulletWidth  = 96;
local bulletHeight = 16;

return Def.ActorFrame{
	-- bullet frame
	Def.ActorFrame{
		Name="BulletFrame";
		EnabledCommand=cmd(visible,true);
		DisabledCommand=cmd(visible,false);
		
		-- underlay
		Def.Quad{
			InitCommand=cmd(zoomto,bulletWidth+4,bulletHeight+4;diffusecolor,color("#000000");diffusealpha,0.75);
		};
		
		-- main bullet
		Def.Quad{
			InitCommand=cmd(zoomto,bulletWidth,bulletHeight;fadeleft,0.25;faderight,0.25;diffusecolor,color("#FFCC00");diffusealpha,0.2);
			GainFocusCommand=cmd(finishtweening;glowshift;effectcolor1,color("1,0.9,0,0.15");effectcolor2,color("1,0.8,0,0.025");accelerate,0.25;diffusealpha,0.8);
			LoseFocusCommand=cmd(finishtweening;stopeffect;decelerate,0.25;diffusealpha,0.2);
		};
		
		-- overlay
		Def.Quad{
			InitCommand=cmd(y,-bulletHeight/3;zoomto,bulletWidth,bulletHeight/2;diffusecolor,color("#FFFFFF");diffusealpha,0.2;blend,'BlendMode_Add';fadebottom,0.2);
		};
	};
};