local gc = Var("GameCommand");
local index = gc:GetIndex();
local name  = gc:GetName();
local text  = gc:GetText();

local t = Def.ActorFrame {
  OffUnfocusedCommand=cmd(sleep,0.95/3;bounceend,0.3;zoomy,0);
--[[   OffFocusedCommand=function(self)
	local bIsFirst = (index == 0) and true or false;
	self:playcommand( (bIsFirst) and "LeftPick" or "RightPick");
  end; --]]
  OffFocusedCommand=cmd(sleep,0.5;linear,0.75;x,SCREEN_CENTER_X;zoom,1.25;sleep,0.75;decelerate,0.15;zoomy,0);
  LeftPickCommand=cmd(sleep,1.25;linear,0.25;x,-SCREEN_WIDTH);
  RightPickCommand=cmd(sleep,1.25;linear,0.25;x,SCREEN_WIDTH*2);
--[[ 	LoadActor("_" .. Var("LoadingScreen") .. " icon " .. index+1)..{
		InitCommand=THEME:GetMetric(Var "LoadingScreen", "IconInitCommand");
		OnCommand=THEME:GetMetric(Var "LoadingScreen", "Icon" .. name .. "OnCommand");
		OffUnfocusedCommand=THEME:GetMetric(Var "LoadingScreen", "IconOffUnfocusedCommand");
		OffFocusedCommand=THEME:GetMetric(Var "LoadingScreen", "IconOffFocusedCommand");
		DisabledCommand=THEME:GetMetric(Var "LoadingScreen", "IconDisabledCommand");
		EnabledCommand=THEME:GetMetric(Var "LoadingScreen", "IconEnabledCommand");
		GainFocusCommand=THEME:GetMetric(Var "LoadingScreen", "IconGainFocusCommand");
		LoseFocusCommand=THEME:GetMetric(Var "LoadingScreen", "IconLoseFocusCommand");
	}; --]]
	Def.Quad {
		InitCommand=cmd(zoomto,274,172);
		OnCommand=cmd();
	};
	
	-- Under
	Def.ActorFrame {
		Def.Quad {
			InitCommand=cmd(zoomto,274-4,172-4);
			OnCommand=cmd(diffuse,ThemeColor("Primary"));
		};
	};
	-- Over
	Def.ActorFrame {
		Def.Quad {
			InitCommand=cmd(zoomto,274-4,172-4);
			OnCommand=cmd(diffuse,ThemeColor("Secondary");
				diffuseshift;effectcolor2,ThemeColor("Secondary");effectcolor1,GenericColor("cStealth");
				effectoffset,4.5;effecttiming,0.25,3.75,0.5,3.5);
				-- Explanation:
				-- 4 seconds for the each card to show on/off
				-- 0.25 seconds of each card to transition inbetween.
				-- 4.5 seconds to offset the transition of EffectColor2
				-- therefore
				-- EffectOffset = Time + TransitionTime*2
		};
		LoadFont("Common Stroke") .. {
			Text=name;
			InitCommand=cmd(shadowlength,0;zoomy,1.1);
			OnCommand=cmd(y,-18;diffuse,ThemeColor("Secondary");
				diffuseshift;effectcolor2,ThemeColor("Primary");effectcolor1,GenericColor("cStealth");
				effectoffset,4.5;effecttiming,0.25,3.75,0.5,3.5
				diffusealpha,0.5);
		};
		Def.ActorFrame {
		  OnCommand=cmd(vibrate;effectmagnitude,0,4,0);
			LoadFont("Common Stroke") .. {
				Text=name;
				InitCommand=cmd(shadowlength,0;zoomy,1);
				OnCommand=cmd(y,-18;diffuse,ThemeColor("Secondary");
					diffuseshift;effectcolor2,ThemeColor("Primary");effectcolor1,GenericColor("cStealth");
					effectoffset,4.5;effecttiming,0.25,3.75,0.5,3.5);
			};
		};
		LoadFont("Common Normal") .. {
			Text=name;
			InitCommand=cmd(shadowlength,0);
			OnCommand=cmd(y,-18;diffuse,ThemeColor("Secondary");
				diffuseshift;effectcolor2,GenericColor("cWhite");effectcolor1,GenericColor("cStealth");
				effectoffset,4.5;effecttiming,0.25,3.75,0.5,3.5);
		};
	};
	-- Choose
	Def.ActorFrame {
		Def.Quad {
			InitCommand=cmd(zoomto,274-4,40);
			OnCommand=cmd(y,(172/2)-2;vertalign,bottom;
				diffuseshift;effectcolor1,ThemeColor("Secondary");effectcolor2,ThemeColor("Primary");
				effectoffset,4.5;effecttiming,0.25,3.75,0.5,3.5);
			GainFocusCommand=cmd(stoptweening;linear,0.1;diffusealpha,1);
			LoseFocusCommand=cmd(stoptweening;linear,0.25;diffusealpha,0);
			OffFocusedCommand=cmd(sleep,0.25;linear,0.5;y,2;);
		};
		LoadFont("Common Normal") .. {
			Text=name;
			InitCommand=cmd(shadowlength,1);
			OnCommand=cmd(y,(172/2)-24);
			GainFocusCommand=cmd(stoptweening;zoom,1.2;settext,"Choose?";decelerate,0.2;diffuse,GenericColor("cWhite");zoom,1);
			LoseFocusCommand=cmd(stoptweening;zoom,1;settext,name;decelerate,0.1;diffuse,ThemeColor("Secondary");zoom,1);
			OffFocusedCommand=cmd(settext,"OK!";sleep,0.25;linear,0.5;y,-18);
		};
	};
};

return t;